.dual_range_slider {
    display: inline-block;
    --sliderHeight: 15px;
    margin-block: calc(var(--sliderHeight));

    .sliders_controls {
        position: relative;
        height: var(--sliderHeight);

        input[type=range]::-webkit-slider-thumb {
            -webkit-appearance: none;
            pointer-events: all;
            width: var(--sliderHeight);
            height: var(--sliderHeight);
            background-color: var(--color1);
            border-radius: 50%;
            box-shadow: 0 0 0 1px #C6C6C6;
            cursor: pointer;
        }
        
        input[type=range]::-moz-range-thumb {
            -webkit-appearance: none;
            pointer-events: all;
            width: var(--sliderHeight);
            height: var(--sliderHeight);
            background-color: var(--color1);
            border-radius: 50%;
            box-shadow: 0 0 0 1px #C6C6C6;
            cursor: pointer;
        }
        
        input[type=range]::-webkit-slider-thumb:hover {
            background: var(--color2);
        }
        
        input[type=range]::-webkit-slider-thumb:active {
            box-shadow: inset 0 0 3px #387bbe, 0 0 9px #387bbe;
            -webkit-box-shadow: inset 0 0 3px #387bbe, 0 0 9px #387bbe;
        }
        input[type="range"] {
            all: unset;
            -webkit-appearance: none;
            appearance: none;
            height: 2px;
            width: 100%;
            position: absolute;
            background-color: #C6C6C6;
            pointer-events: none;
        }
        
        .fromSlider {
            height: 0!important;
            z-index: 1!important;
        }
    }

    .form_controls {
        position: relative;
        display: flex;
        justify-content: space-between;
        font-size: 0.9em;
        color: #635a5a;
        >div{
            display: grid;
            :not(input){
                font-size: 80%;
            }
            &:nth-child(2){
                text-align: end;
            }
        }
        input[type="number"] {
            all: unset;
            color: #8a8383;
            width: 50px;
            height: 30px;
            font-size: 1.2em;
            border: none;
        }
        
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button {
            opacity: 1;
        }
        
    }
}





